Ionic 3 - error de xcode con cocoapods

Intento construir una aplicación iónica 3 con notificación push y tengo algún problema con la implementación de iOS.

Tengo este error 3 en xcode:

diff: /Podfile.lock: No such file or directory
diff: /Manifest.lock: No such file or directory
error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.

He probado muchas soluciones que encontré en internet:

use el comando "pod install", "pod update"

eliminar e instalar CocoaPods

actualizar CocoaPods

Elimine la carpeta "Pods", "Podfile.lock" y "Podfile" y ejecute el comando "pod install".

Eliminar libPods-myApp.a de Link Binary De Librairies.

Pero nada es efectivo ...

Realmente no sé lo que tengo que hacer.

Mi podfile:

# DO NOT MODIFY -- auto-generated by Apache Cordova
platform :ios, '8.0'
target 'MyProject' do
    project 'MyProject.xcodeproj'
    pod 'GoogleCloudMessaging', '~> 1.2.0'
    pod 'GGLInstanceID', '~> 1.2.1'
end

Mi Podfile.lock:

PODS:
  - GGLInstanceID (1.2.1)
  - GoogleCloudMessaging (1.2.0):
    - GoogleInterchangeUtilities (~> 1.0)
    - GoogleIPhoneUtilities (~> 1.0)
    - GoogleSymbolUtilities (~> 1.0)
  - GoogleInterchangeUtilities (1.2.2):
    - GoogleSymbolUtilities (~> 1.1)
  - GoogleIPhoneUtilities (1.2.1):
    - GoogleSymbolUtilities (~> 1.0)
    - GoogleUtilities (~> 1.0)
  - GoogleSymbolUtilities (1.1.2)
  - GoogleUtilities (1.3.2):
    - GoogleSymbolUtilities (~> 1.1)

DEPENDENCIES:
  - GGLInstanceID (~> 1.2.1)
  - GoogleCloudMessaging (~> 1.2.0)

SPEC CHECKSUMS:
  GGLInstanceID: 4a317044f744281b82cd03015f379899f277cad3
  GoogleCloudMessaging: f37ea14dd0f41d4d889c10b5559dd35bbfd9ac26
  GoogleInterchangeUtilities: d5bc4d88d5b661ab72f9d70c58d02ca8c27ad1f7
  GoogleIPhoneUtilities: 63f25e93a3ddcb66884d182aab3a660d98f1479b
  GoogleSymbolUtilities: 631ee17048aa5e9ab133470d768ea997a5ef9b96
  GoogleUtilities: 8bbc733218aad26306f9d4a253823986110e3358

PODFILE CHECKSUM: 0ff66d442dc6f28bf0fbc7a6b12af811ecc9a43c

COCOAPODS: 1.2.1

ACTUALIZAR

Mi [CP] Check Pods Manifest.lock:

diff "${PODS_PODFILE_DIR_PATH}/Podfile.lock" "${PODS_ROOT}/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

Realmente necesito ayuda por favor. :(

ACTUALIZAR

Modifiqué mi [CP] Check Pods Manifest.lock para esto:

diff "${SRCROOT}/Podfile.lock" "${SRCROOT}/Pods/Manifest.lock" > /dev/null
if [ $? != 0 ] ; then
    # print error to STDERR
    echo "error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation." >&2
    exit 1
fi

Los errores de mi árbol desaparecen pero tengo este nuevo error:

 Module 'FirebaseInstanceID' not found

No se porque. Traté de correrpod install Pero no hay diferencia.

Respuestas a la pregunta(3)

Su respuesta a la pregunta